%define apiver 1.0
%define docdeveldir %{_docdir}/%{name}-devel-%{version}

Name:           libnotifymm
Version:        0.6.1
Release:        10%{?dist}
Summary:        C++ interface for libnotify

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libnotifymm/0.6/%{name}-%{version}.tar.bz2
Patch1:         libnotifymm-0.6.1-pkgconfig.patch
Patch2:         libnotifymm-0.6.1-bodgenewapi.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glibmm24-devel >= 2.12.8
BuildRequires:  gtkmm24-devel >= 2.10
BuildRequires:  libnotify-devel >= 0.4.3
BuildRequires:  doxygen graphviz


%description
libnotifymm provides a C++ interface to the libnotify
library. Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.


%package devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel
Requires:       libnotify-devel
Requires:       pkgconfig


%description devel
This package contains the libraries and header files needed for
developing %{name} applications.


%prep
%setup -q
%patch1 -p1 -b .pkgconfig
%patch2 -p2 -b .bodgenewapi


%build
%configure --disable-static --enable-reference --disable-dependency-tracking
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" \
        referencedir=%{docdeveldir}/html
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Remove code-generation related files
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}-%{apiver}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc %{docdeveldir}
%{_includedir}/%{name}-%{apiver}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Apr 08 2011 Caolán McNamara <caolanm@redhat.com> - 0.6.1-10
- Resolves: rhbz#661037 bodge in removal of old libnotify api

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 11 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 0.6.1-8
- Rebuilt for F-13

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb  2 2009 Denis Leroy <denis@poolshark.org> - 0.6.1-5
- Fixed unowned directory issue (#483467)

* Wed Jan 14 2009 Denis Leroy <denis@poolshark.org> - 0.6.1-4
- Removed closesig patch

* Fri Dec 26 2008 Denis Leroy <denis@poolshark.org> - 0.6.1-3
- Added sed line to quiet rpmlint

* Fri Sep  5 2008 Denis Leroy <denis@poolshark.org> - 0.6.1-2
- Added patch to address libnotify rawhide API breakage

* Thu Sep  4 2008 Denis Leroy <denis@poolshark.org> - 0.6.1-1
- Initial version

